# Class pyglet.window.event.WindowEventLogger

Print all events to a file.

When this event handler is added to a window it prints out all events and their parameters; useful for debugging or discovering which events you need to handle.

Example:

    win = window.Window()
    win.push_handlers(WindowEventLogger())

## Methods

| __init__(self, logfile=None) Create a WindowEventLogger which writes to `logfile`.
| on_key_press(self, symbol, modifiers)
| on_key_release(self, symbol, modifiers)
| on_text(self, text)
| on_text_motion(self, motion)
| on_text_motion_select(self, motion)
| on_mouse_motion(self, x, y, dx, dy)
| on_mouse_drag(self, x, y, dx, dy, buttons, modifiers)
| on_mouse_press(self, x, y, button, modifiers)
| on_mouse_release(self, x, y, button, modifiers)
| on_mouse_scroll(self, x, y, dx, dy)
| on_close(self)
| on_mouse_enter(self, x, y)
| on_mouse_leave(self, x, y)
| on_expose(self)
| on_resize(self, width, height)
| on_move(self, x, y)
| on_activate(self)
| on_deactivate(self)
| on_show(self)
| on_hide(self)
| on_context_lost(self)
| on_context_state_lost(self)

## Method Details

### __init__

(Constructor) __init__(self, logfile=None)
Create a WindowEventLogger which writes to `logfile`.

Parameters:
  logfile : file-like object
    The file to write to. If unspecified, stdout will be used.